import os

class Config:
	SECRET_KEY = os.environ.get('SECRET_KEY')
	SQLALCHEMY_TRACK_MODIFICATIONS = False
	SQLALCHEMY_ECHO = False
	DEBUG = os.environ.get('DEBUG')
	SESSION_COOKIE_DOMAIN = os.environ.get('COOKIE_DOMAIN')
	SQLALCHEMY_DATABASE_URI = os.environ.get('SQLALCHEMY_WEBDB_URI')
	SQLALCHEMY_BINDS = {
	    'system': {'url': os.environ.get('SQLALCHEMY_WEBDB_URI'), 'pool_recycle': 60, 'echo_pool': True },
	    'gtfs_work':{'url':  os.environ.get('SQLALCHEMY_HOTDB_URI'), 'pool_recycle': 60, 'echo_pool': True },
	    'gtfs_static':{'url':  os.environ.get('SQLALCHEMY_GTFSDB_URI'), 'pool_recycle': 60, 'echo_pool': True },
		}
	MAIL_DEBUG = int(os.environ.get('DEBUG') == True)

	MAIL_SERVER = os.environ.get('MAIL_SERVER')
	MAIL_PORT = os.environ.get('MAIL_PORT')
